Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.tooling.model
[Java] Class UnsupportedMethodException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.lang.UnsupportedOperationException
                      org.gradle.tooling.model.UnsupportedMethodException

    public class UnsupportedMethodException
    extends UnsupportedOperationException

Thrown when the tooling API client attempts to use a method that does not exist in the version of Gradle that the tooling API is connected to.

Typically, to resolve such a problem you change/upgrade the target version of Gradle that the tooling API is connected to. Alternatively, you can handle and ignore this exception.

Since:
  1.0-milestone-8

Constructor Summary
`UnsupportedMethodException(String s)`
`UnsupportedMethodException(String message, Throwable cause)`

Method Summary

Methods inherited from class UnsupportedOperationException
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class RuntimeException
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Constructor Detail

### UnsupportedMethodException

    public UnsupportedMethodException(String s)

### UnsupportedMethodException

    public UnsupportedMethodException(String message, Throwable cause)

Gradle API 1.10